## autobench-2.1.2.tar.gz

=== Makefile ===
# Makefile for autobench scripts
VERSION = 2.1.2
PREFIX = /usr/local

# Automatically set correct paths for building Debian packages
ifdef DEB_BUILD_ARCH
  ROOTBIN_PREFIX = /usr
  ROOTMAN_PREFIX = /usr/share
  PREFIX = $(DESTDIR)
endif

BINDIR = $(PREFIX)$(ROOTBIN_PREFIX)/bin
MANDIR = $(PREFIX)$(ROOTMAN_PREFIX)/man/man1
ETCDIR = $(PREFIX)/etc

ifdef DEB_BUILD_ARCH
  export AB_CFG = /etc/autobench.conf
else 
  export AB_CFG = $(ETCDIR)/autobench.conf
endif

# Compiler & flags
CC=gcc
CFLAGS=-O2 -Wall
DEBUG_FLAGS=-Wall -g

#---------------------------------------------------------------------------
# Release related 
PKG_NAME = autobench
BDIR = build

PKG_VER = $(PKG_NAME)-$(VERSION)
PKG_DIR = $(BDIR)/$(PKG_VER)
PKG_TAR = nca-$(VERSION).tar.gz

REL_BUILD_DIR = $(HOME)/build
REL_DIR = $(PKG_VER)
REL_BDIR = $(REL_BUILD_DIR)/$(REL_DIR)
REL_TGZ = $(REL_DIR).tar.gz
CHANGELOG = $(REL_BDIR)/ChangeLog

all: crfile sesslog

crfile: crfile.c
	$(CC) $(CFLAGS) -o crfile crfile.c

sesslog: sesslog.c
	$(CC) $(CFLAGS) -o sesslog sesslog.c

debug: crfile.c
	$(CC) $(DEBUG_FLAGS) -o crfile crfile.c

install: crfile sesslog
	mkdir -p $(BINDIR) $(ETCDIR) $(MANDIR)
	perl -pi -e 's/my \$$MASTER_CONFIG =.*$$/my \$$MASTER_CONFIG = "$$ENV{AB_CFG}";/' autobench
	cp crfile autobench autobenchd autobench_admin sesslog bench2graph $(BINDIR)
	cp autobenchd.1 autobench_admin.1 crfile.1 autobench.1 sesslog.1 bench2graph.1 $(MANDIR)
	cp autobench.conf $(ETCDIR)

clean: 
	rm -f crfile sesslog
	find . -type f \( -name "*~" -o -name "#*" -o -name ".#*" \) -exec rm {} \;

uninstall: 
	cd $(BINDIR)
	rm -f crfile sesslog autobench bench2graph autobenchd autobench_admin
	cd $(MANDIR)
	rm -f crfile.1 sesslog.1 autobench.1 bench2graph.1 autobenchd.1 autobench_admin.1
	rm -fr $(ETCDIR)/autobench.conf

release: deb_package clean
	@if [ -e $(REL_BDIR) ]; then echo "Please delete $(REL_BDIR)"; exit 1; fi
	@if [ -e $(REL_BUILD_DIR)/$(REL_TGZ) ]; then echo "Please delete $(REL_BUILD_DIR)/$(REL_TGZ)"; exit 1; fi
	thisdir=$$(pwd); \
	ln -s $$thisdir $(REL_BDIR);
	cd $(REL_BUILD_DIR); \
	tar --exclude \{arch\} --exclude .arch-ids --exclude .todo --exclude +* --exclude ,* -cvhzf $(REL_TGZ) $(REL_DIR);\
	gpg -b --armor --sign $(REL_TGZ)
	rm $(REL_BDIR)

deb_package: clean
	dpkg-buildpackage -rfakeroot
	mv ../$(PKG_NAME)_$(VERSION)* $(REL_BUILD_DIR)
	fakeroot debian/rules clean

=== test/Makefile ===
# Simple regression tests for autobench, et al

RESDIR       = /home/jtjm/test/tmp
RESULTS_FILE = $(RESDIR)/results.tsv
PS_FILE      = $(RESDIR)/results.ps
NEW_FILE     = $(RESDIR)/newfile

.PHONY: crfile autobench bench2graph clean

test: clean crfile autobench bench2graph

crfile:
	crfile -s 102400 -w40 -f $(NEW_FILE)
	crfile -s 1024 -n -f $(NEW_FILE)2

autobench:
	autobench --single_host --file $(RESULTS_FILE)

bench2graph:
	bench2graph $(RESULTS_FILE) $(PS_FILE)

clean:
	rm -fr $(RESULTS_FILE) $(PS_FILE)
	rm -fr $(NEW_FILE)*

=== debian/changelog ===
autobench (2.1.2) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Thu, 27 May 2004 17:41:19 +0100

autobench (2.1.1-1) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Tue, 25 Nov 2003 23:05:32 +0000

autobench (2.0.1-1) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Tue, 15 Oct 2002 17:48:14 +0100

autobench (2.0.0-1) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Mon, 14 Oct 2002 21:22:08 +0100

autobench (1.1.2-1) unstable; urgency=low

  * Initial Release

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Sat, 12 Oct 2002 11:11:23 +0100

=== debian/control ===
Source: autobench
Section: utils
Priority: optional
Maintainer: Julian T. J. Midgley <jtjm@xenoclast.org>
Build-Depends: debhelper (>> 3.0.0), libc6
Standards-Version: 3.5.2

Package: autobench
Architecture: any
Depends: httperf, ${shlibs:Depends}
Recommends: gnuplot
Description: Automates  the  benchmarking  of web servers using httperf
 autobench is used to to automate web server benchmarking.  It runs
 httperf against the specified host or hosts, ramping up the number of
 requested connections, and logging the results in TSV or CSV format
 files.  Graphs can be automatically generated using gnuplot.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/autobench.sgml > autobench.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/autobench.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/autobench


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
